<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:33 CEST 2019 -->
<title>BackupManager (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BackupManager (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/firebirdsql/management/FBBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/BackupManager.html" target="_top">Frames</a></li>
<li><a href="BackupManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.management</div>
<h2 title="Interface BackupManager" class="title">Interface BackupManager</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/management/FBBackupManager.html" title="class in org.firebirdsql.management">FBBackupManager</a>, <a href="../../../org/firebirdsql/management/FBBackupManagerBase.html" title="class in org.firebirdsql.management">FBBackupManagerBase</a>, <a href="../../../org/firebirdsql/management/FBStreamingBackupManager.html" title="class in org.firebirdsql.management">FBStreamingBackupManager</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">BackupManager</span>
extends <a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></pre>
<div class="block">Implements the backup and restore functionality of Firebird Services API.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a>, <a href="mailto:sjardine@users.sourceforge.net">Steven Jardine</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_CONVERT">BACKUP_CONVERT</a></span></code>
<div class="block">Backup external files as tables.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_EXPAND">BACKUP_EXPAND</a></span></code>
<div class="block">No data compression.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_IGNORE_CHECKSUMS">BACKUP_IGNORE_CHECKSUMS</a></span></code>
<div class="block">Ignore checksums.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_IGNORE_LIMBO">BACKUP_IGNORE_LIMBO</a></span></code>
<div class="block">Ignore in-limbo transactions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_METADATA_ONLY">BACKUP_METADATA_ONLY</a></span></code>
<div class="block">Backup metadata only.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_NO_GARBAGE_COLLECT">BACKUP_NO_GARBAGE_COLLECT</a></span></code>
<div class="block">Do not collect garbage during backup.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_NON_TRANSPORTABLE">BACKUP_NON_TRANSPORTABLE</a></span></code>
<div class="block">Use non-transportable backup format.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_OLD_DESCRIPTIONS">BACKUP_OLD_DESCRIPTIONS</a></span></code>
<div class="block">Save old style metadata descriptions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_DEACTIVATE_INDEX">RESTORE_DEACTIVATE_INDEX</a></span></code>
<div class="block">Deactivate indices during restore.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_NO_SHADOW">RESTORE_NO_SHADOW</a></span></code>
<div class="block">Do not restore shadow database.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_NO_VALIDITY">RESTORE_NO_VALIDITY</a></span></code>
<div class="block">Do not restore validity constraints.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_ONE_AT_A_TIME">RESTORE_ONE_AT_A_TIME</a></span></code>
<div class="block">Commit after completing restore of each table.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_USE_ALL_SPACE">RESTORE_USE_ALL_SPACE</a></span></code>
<div class="block">Do not reserve 20% on each page for the future versions, useful for
 read-only databases.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-">addBackupPath</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Add backup file to the list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-int-">addBackupPath</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
             int&nbsp;size)</code>
<div class="block">Add the file to the backup of the specified size.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#addRestorePath-java.lang.String-int-">addRestorePath</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
              int&nbsp;size)</code>
<div class="block">Add the file to the multi-file database of the specified size for restore
 operation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#backupDatabase--">backupDatabase</a></span>()</code>
<div class="block">Perform the backup operation.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#backupDatabase-int-">backupDatabase</a></span>(int&nbsp;options)</code>
<div class="block">Perform the backup operation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#backupMetadata--">backupMetadata</a></span>()</code>
<div class="block">Perform the backup operation, metadata only.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#clearBackupPaths--">clearBackupPaths</a></span>()</code>
<div class="block">Clear the information about backup paths.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#clearRestorePaths--">clearRestorePaths</a></span>()</code>
<div class="block">Clear the information about restore paths.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#restoreDatabase--">restoreDatabase</a></span>()</code>
<div class="block">Perform the restore operation.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#restoreDatabase-int-">restoreDatabase</a></span>(int&nbsp;options)</code>
<div class="block">Perform the restore operation.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#setBackupPath-java.lang.String-">setBackupPath</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;backupPath)</code>
<div class="block">Sets the location of the backup file.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#setDatabase-java.lang.String-">setDatabase</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Set the path to the database.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#setRestorePageBufferCount-int-">setRestorePageBufferCount</a></span>(int&nbsp;bufferCount)</code>
<div class="block">Set the default number of pages to be buffered (cached) by default in a
 restored database.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#setRestorePageSize-int-">setRestorePageSize</a></span>(int&nbsp;pageSize)</code>
<div class="block">Set the page size that will be used for a restored database.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#setRestoreReadOnly-boolean-">setRestoreReadOnly</a></span>(boolean&nbsp;readOnly)</code>
<div class="block">Set the read-only attribute on a restored database.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#setRestoreReplace-boolean-">setRestoreReplace</a></span>(boolean&nbsp;replace)</code>
<div class="block">Set the restore operation to create a new database, as opposed to
 overwriting an existing database.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/BackupManager.html#setVerbose-boolean-">setVerbose</a></span>(boolean&nbsp;verbose)</code>
<div class="block">Set whether the operations of this <code>BackupManager</code> will result in verbose logging to the configured logger.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.management.ServiceManager">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getCharSet--">getCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDatabase--">getDatabase</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getHost--">getHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getLogger--">getLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPassword--">getPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPort--">getPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getServerVersion--">getServerVersion</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getUser--">getUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setHost-java.lang.String-">setHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPort-int-">setPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setUser-java.lang.String-">setUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="BACKUP_IGNORE_CHECKSUMS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_IGNORE_CHECKSUMS</h4>
<pre>static final&nbsp;int BACKUP_IGNORE_CHECKSUMS</pre>
<div class="block">Ignore checksums.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.BACKUP_IGNORE_CHECKSUMS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_IGNORE_LIMBO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_IGNORE_LIMBO</h4>
<pre>static final&nbsp;int BACKUP_IGNORE_LIMBO</pre>
<div class="block">Ignore in-limbo transactions.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.BACKUP_IGNORE_LIMBO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_METADATA_ONLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_METADATA_ONLY</h4>
<pre>static final&nbsp;int BACKUP_METADATA_ONLY</pre>
<div class="block">Backup metadata only.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.BACKUP_METADATA_ONLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_NO_GARBAGE_COLLECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_NO_GARBAGE_COLLECT</h4>
<pre>static final&nbsp;int BACKUP_NO_GARBAGE_COLLECT</pre>
<div class="block">Do not collect garbage during backup.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.BACKUP_NO_GARBAGE_COLLECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_OLD_DESCRIPTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_OLD_DESCRIPTIONS</h4>
<pre>static final&nbsp;int BACKUP_OLD_DESCRIPTIONS</pre>
<div class="block">Save old style metadata descriptions.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.BACKUP_OLD_DESCRIPTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_NON_TRANSPORTABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_NON_TRANSPORTABLE</h4>
<pre>static final&nbsp;int BACKUP_NON_TRANSPORTABLE</pre>
<div class="block">Use non-transportable backup format.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.BACKUP_NON_TRANSPORTABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_CONVERT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_CONVERT</h4>
<pre>static final&nbsp;int BACKUP_CONVERT</pre>
<div class="block">Backup external files as tables.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.BACKUP_CONVERT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_EXPAND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_EXPAND</h4>
<pre>static final&nbsp;int BACKUP_EXPAND</pre>
<div class="block">No data compression.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.BACKUP_EXPAND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_DEACTIVATE_INDEX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_DEACTIVATE_INDEX</h4>
<pre>static final&nbsp;int RESTORE_DEACTIVATE_INDEX</pre>
<div class="block">Deactivate indices during restore.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.RESTORE_DEACTIVATE_INDEX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_NO_SHADOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_NO_SHADOW</h4>
<pre>static final&nbsp;int RESTORE_NO_SHADOW</pre>
<div class="block">Do not restore shadow database.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.RESTORE_NO_SHADOW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_NO_VALIDITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_NO_VALIDITY</h4>
<pre>static final&nbsp;int RESTORE_NO_VALIDITY</pre>
<div class="block">Do not restore validity constraints.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.RESTORE_NO_VALIDITY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_ONE_AT_A_TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_ONE_AT_A_TIME</h4>
<pre>static final&nbsp;int RESTORE_ONE_AT_A_TIME</pre>
<div class="block">Commit after completing restore of each table.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.RESTORE_ONE_AT_A_TIME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_USE_ALL_SPACE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RESTORE_USE_ALL_SPACE</h4>
<pre>static final&nbsp;int RESTORE_USE_ALL_SPACE</pre>
<div class="block">Do not reserve 20% on each page for the future versions, useful for
 read-only databases.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.BackupManager.RESTORE_USE_ALL_SPACE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setBackupPath-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBackupPath</h4>
<pre>void&nbsp;setBackupPath(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;backupPath)</pre>
<div class="block">Sets the location of the backup file. This method is used to set the
 path to the backup consisting of a single file. It is not possible to
 add multiple files or specify the max. size of the file using this
 method. It is also not possible to call <a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-int-"><code>addBackupPath(String, int)</code></a>
 method after calling this one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>backupPath</code> - the location of the backup file.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-int-"><code>for multi-file backups.</code></a></dd>
</dl>
</li>
</ul>
<a name="addBackupPath-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addBackupPath</h4>
<pre>void&nbsp;addBackupPath(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
                   int&nbsp;size)</pre>
<div class="block">Add the file to the backup of the specified size. Firebird allows
 splitting the backup into multiple files, limiting the size of the backup
 file. This can be useful for example for creating a backup on CD or DVD.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to the backup file.</dd>
<dd><code>size</code> - max size of the file in bytes.</dd>
</dl>
</li>
</ul>
<a name="addBackupPath-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addBackupPath</h4>
<pre>void&nbsp;addBackupPath(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Add backup file to the list. This method is used only during restoring
 the database to specify multi-file backups. The call is equivalent to
 passing the size -1 to <a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-int-"><code>addBackupPath(String, int)</code></a> call.
 <p>
 If application invokes backup operation, an error is generated in that
 call.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to the backup file.</dd>
</dl>
</li>
</ul>
<a name="clearBackupPaths--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearBackupPaths</h4>
<pre>void&nbsp;clearBackupPaths()</pre>
<div class="block">Clear the information about backup paths. This method undoes all
 parameters set in the <a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-int-"><code>addBackupPath(String, int)</code></a> or
 <a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-"><code>addBackupPath(String)</code></a> methods.</div>
</li>
</ul>
<a name="setDatabase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatabase</h4>
<pre>void&nbsp;setDatabase(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Set the path to the database. This method is used both for backup and
 restore operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setDatabase-java.lang.String-">setDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to the database file.
         <p>
         In case of backup, value specifies the path of the existing database on the server that will be
         backed up.
         </p>
         <p>
         In case of restore, value specifies the path of the single-file database where the backup will be
         restored to.
         </p></dd>
</dl>
</li>
</ul>
<a name="addRestorePath-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRestorePath</h4>
<pre>void&nbsp;addRestorePath(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
                    int&nbsp;size)</pre>
<div class="block">Add the file to the multi-file database of the specified size for restore
 operation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to the backup file.</dd>
<dd><code>size</code> - max size of the database file in pages.</dd>
</dl>
</li>
</ul>
<a name="clearRestorePaths--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearRestorePaths</h4>
<pre>void&nbsp;clearRestorePaths()</pre>
<div class="block">Clear the information about restore paths. This method undoes all
 parameters set in the <a href="../../../org/firebirdsql/management/BackupManager.html#addRestorePath-java.lang.String-int-"><code>addRestorePath(String, int)</code></a> or
 <a href="../../../org/firebirdsql/management/BackupManager.html#setDatabase-java.lang.String-"><code>setDatabase(String)</code></a> methods.</div>
</li>
</ul>
<a name="backupDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>backupDatabase</h4>
<pre>void&nbsp;backupDatabase()
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Perform the backup operation.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs during the backup</dd>
</dl>
</li>
</ul>
<a name="backupMetadata--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>backupMetadata</h4>
<pre>void&nbsp;backupMetadata()
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Perform the backup operation, metadata only.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs during the backup</dd>
</dl>
</li>
</ul>
<a name="backupDatabase-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>backupDatabase</h4>
<pre>void&nbsp;backupDatabase(int&nbsp;options)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Perform the backup operation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>options</code> - a bitmask combination of the <code>BACKUP_*</code> constants for the backup operation</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs during the backup</dd>
</dl>
</li>
</ul>
<a name="setVerbose-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVerbose</h4>
<pre>void&nbsp;setVerbose(boolean&nbsp;verbose)</pre>
<div class="block">Set whether the operations of this <code>BackupManager</code> will result in verbose logging to the configured logger.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>verbose</code> - If <code>true</code>, operations will be logged verbosely, otherwise they will not be logged verbosely</dd>
</dl>
</li>
</ul>
<a name="setRestorePageBufferCount-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRestorePageBufferCount</h4>
<pre>void&nbsp;setRestorePageBufferCount(int&nbsp;bufferCount)</pre>
<div class="block">Set the default number of pages to be buffered (cached) by default in a
 restored database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bufferCount</code> - The page-buffer size to be used, a positive value</dd>
</dl>
</li>
</ul>
<a name="setRestorePageSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRestorePageSize</h4>
<pre>void&nbsp;setRestorePageSize(int&nbsp;pageSize)</pre>
<div class="block">Set the page size that will be used for a restored database. The value for <code>pageSize</code> must be one
 of: 1024, 2048, 4096, 8192 or 16384. The default value depends on the Firebird version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pageSize</code> - The page size to be used in a restored database, one of 1024, 2048, 4196, 8192 or 16384</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management"><code>PageSizeConstants</code></a></dd>
</dl>
</li>
</ul>
<a name="setRestoreReplace-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRestoreReplace</h4>
<pre>void&nbsp;setRestoreReplace(boolean&nbsp;replace)</pre>
<div class="block">Set the restore operation to create a new database, as opposed to
 overwriting an existing database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>replace</code> - If <code>true</code>, the restore operation will attempt to create a new database if it does not exit or
         overwrite an existing one when it exists, <code>false</code> when restore should fail if database already
         exist (if it doesn't, a database will be successfully created).</dd>
</dl>
</li>
</ul>
<a name="setRestoreReadOnly-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRestoreReadOnly</h4>
<pre>void&nbsp;setRestoreReadOnly(boolean&nbsp;readOnly)</pre>
<div class="block">Set the read-only attribute on a restored database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>readOnly</code> - If <code>true</code>, a restored database will be
         read-only, otherwise it will be read-write.</dd>
</dl>
</li>
</ul>
<a name="restoreDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restoreDatabase</h4>
<pre>void&nbsp;restoreDatabase()
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Perform the restore operation.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs during the restore</dd>
</dl>
</li>
</ul>
<a name="restoreDatabase-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>restoreDatabase</h4>
<pre>void&nbsp;restoreDatabase(int&nbsp;options)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Perform the restore operation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>options</code> - A bitmask combination of <code>RESTORE_*</code> constants</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs during the restore</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/firebirdsql/management/FBBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/BackupManager.html" target="_top">Frames</a></li>
<li><a href="BackupManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
